> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://reference.flatfile.com/api-reference/workbooks/get-workbook-commits/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server. # Get commits for a workbook GET https://api.x.flatfile.com/v1/workbooks/{workbookId}/commits Returns the commits for a workbook Reference: https://reference.flatfile.com/api-reference/workbooks/get-workbook-commits ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `workbookId` (string, required) — ID of workbook ### Query parameters - `completed` (boolean, optional) — If true, only return commits that have been completed. If false, only return commits that have not been completed. If not provided, return all commits. ## Response ### 200 - `data` (list of Commit, required) ## Types ### Commit A commit version - `id` (string, required) — Commit ID - `sheetId` (string, required) — Sheet ID - `createdBy` (string, required) — The actor (user or system) who created the commit - `createdAt` (datetime, required) — The time the commit was created - `completedBy` (string, optional) — The actor (user or system) who completed the commit - `completedAt` (datetime, optional) — The time the commit was acknowledged ## Examples **Response** ```json { "data": [ { "id": "us_vr_YOUR_ID", "sheetId": "us_sh_YOUR_ID", "createdBy": "us_usr_YOUR_ID", "createdAt": "2019-08-24T14:15:22Z" } ] } ``` **SDK Code** ```python Example0 import requests url = "https://api.x.flatfile.com/v1/workbooks/us_wb_YOUR_ID/commits" headers = { "X-Disable-Hooks": "true", "Authorization": "Bearer " } response = requests.get(url, headers=headers) print(response.json()) ``` ```typescript Example0 import { FlatfileClient } from "@flatfile/api"; const client = new FlatfileClient({ token: "YOUR_TOKEN" }); await client.workbooks.getWorkbookCommits("us_wb_YOUR_ID"); ``` ```go Example0 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.x.flatfile.com/v1/workbooks/us_wb_YOUR_ID/commits" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-Disable-Hooks", "true") req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example0 require 'uri' require 'net/http' url = URI("https://api.x.flatfile.com/v1/workbooks/us_wb_YOUR_ID/commits") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-Disable-Hooks"] = 'true' request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Example0 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.x.flatfile.com/v1/workbooks/us_wb_YOUR_ID/commits") .header("X-Disable-Hooks", "true") .header("Authorization", "Bearer ") .asString(); ``` ```php Example0 request('GET', 'https://api.x.flatfile.com/v1/workbooks/us_wb_YOUR_ID/commits', [ 'headers' => [ 'Authorization' => 'Bearer ', 'X-Disable-Hooks' => 'true', ], ]); echo $response->getBody(); ``` ```csharp Example0 using RestSharp; var client = new RestClient("https://api.x.flatfile.com/v1/workbooks/us_wb_YOUR_ID/commits"); var request = new RestRequest(Method.GET); request.AddHeader("X-Disable-Hooks", "true"); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Example0 import Foundation let headers = [ "X-Disable-Hooks": "true", "Authorization": "Bearer " ] let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/workbooks/us_wb_YOUR_ID/commits")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```